from setuptools import setup, find_packages
import re


def get_variable(regex):
    initfile = open('pythonsped/__init__.py')
    for line in initfile:
        match = re.search(r'^'+regex+'\s+=\s+(.*)', line)
        if match:
            value = eval(match.group(1))
            return value


setup(
    name="sped",
    version='.'.join([str(v) for v in get_variable('version')]),
    license=get_variable('__license__'),
    url=get_variable('__url__'),
    author=get_variable('__author__'),
    author_email=get_variable('__author_email__'),
    description=get_variable('__description__'),
    keywords=get_variable('__keywords__'),
    include_package_data=True,
    packages=find_packages(),
    classifiers=["Development Status :: 1.0",
                 "Topic :: SPED",
                 "License :: LGPL", ],
    package_dir={'pythonsped': 'pythonsped'},
)
